GWT 2.7.0

## com.google.gwt.aria.client
Class AriaValueAttribute<T extends AriaAttributeType>

    java.lang.Object
      com.google.gwt.aria.client.Attribute<T>
          com.google.gwt.aria.client.AriaValueAttribute<T>

     class AriaValueAttribute<T extends AriaAttributeType>

extends Attribute<T>

ARIA specific type attribute.

Field Summary

Fields inherited from class com.google.gwt.aria.client.Attribute
`defaultValue, name`

Constructor Summary
`AriaValueAttribute(java.lang.String name)`
`AriaValueAttribute(java.lang.String name, java.lang.String defaultValue)`

Method Summary
`protected java.lang.String` | `getSingleValue(T value)` Gets the string representation of `value` to be set as an attribute value to an HTML element.

Methods inherited from class com.google.gwt.aria.client.Attribute
`get, getName, remove, set, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AriaValueAttribute

    public AriaValueAttribute(java.lang.String name,
                              java.lang.String defaultValue)

### AriaValueAttribute

    public AriaValueAttribute(java.lang.String name)

Method Detail

### getSingleValue

    protected java.lang.String getSingleValue(T value)

  Description copied from class: `Attribute`
  Gets the string representation of `value` to be set as an attribute value to an HTML element.

  Specified by:
    `getSingleValue` in class `Attribute<T extends AriaAttributeType>`
  Parameters:
    `value` - The item to be stringified
  Returns:
    the stringified representation of `value`

GWT 2.7.0